---
title: llarp::vpn::EgresLayer4Handler

---

# llarp::vpn::EgresLayer4Handler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~EgresLayer4Handler](Classes/structllarp_1_1vpn_1_1EgresLayer4Handler.md#function-~egreslayer4handler)**() =default |
| virtual void | **[HandleIPPacketFrom](Classes/structllarp_1_1vpn_1_1EgresLayer4Handler.md#function-handleippacketfrom)**(AddressVariant_t from, [net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) pkt) =0 |
| virtual void | **[AddSubHandler](Classes/structllarp_1_1vpn_1_1EgresLayer4Handler.md#function-addsubhandler)**(nuint16_t , EgresPacketHandlerFunc ) |
| virtual void | **[RemoveSubHandler](Classes/structllarp_1_1vpn_1_1EgresLayer4Handler.md#function-removesubhandler)**(nuint16_t ) |

## Public Functions Documentation

### function ~EgresLayer4Handler

```cpp
virtual ~EgresLayer4Handler() =default
```


### function HandleIPPacketFrom

```cpp
virtual void HandleIPPacketFrom(
    AddressVariant_t from,
    net::IPPacket pkt
) =0
```


### function AddSubHandler

```cpp
inline virtual void AddSubHandler(
    nuint16_t ,
    EgresPacketHandlerFunc 
)
```


### function RemoveSubHandler

```cpp
inline virtual void RemoveSubHandler(
    nuint16_t 
)
```


-------------------------------

Updated on 2023-01-09 at 19:27:44 +0000